"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _cloneBuffer = require("../../../../../_virtual/_cloneBuffer.js");
const _root = require("./_root.js");
_cloneBuffer.__module.exports;
(function(module2, exports2) {
  var root = _root._root;
  var freeExports = exports2 && !exports2.nodeType && exports2;
  var freeModule = freeExports && true && module2 && !module2.nodeType && module2;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? root.Buffer : void 0, allocUnsafe = Buffer ? Buffer.allocUnsafe : void 0;
  function cloneBuffer(buffer, isDeep) {
    if (isDeep) {
      return buffer.slice();
    }
    var length = buffer.length, result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
    buffer.copy(result);
    return result;
  }
  module2.exports = cloneBuffer;
})(_cloneBuffer.__module, _cloneBuffer.__module.exports);
var _cloneBufferExports = _cloneBuffer.__module.exports;
exports._cloneBufferExports = _cloneBufferExports;
